aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatus Fabian <matfabia@cisco.com>2025-02-27 05:33:57 -0500
committerDave Wallace <dwallacelf@gmail.com>2025-02-27 12:08:52 +0000
commitfd81e1108b2d6ee7d8c08ab8955db2befa21af4d (patch)
treeff24f147932b2610fca3bae6bc7cabd96be8719d
parentd95c54b6aa2c4ccab8aacce4958332f742ee96ef (diff)
hs-test: create docker buildx with proxy
Type: test Change-Id: If887916bc540a51747e342a76edc2f37d54e6b0f Signed-off-by: Matus Fabian <matfabia@cisco.com>
-rwxr-xr-xextras/hs-test/script/build_hst.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/extras/hs-test/script/build_hst.sh b/extras/hs-test/script/build_hst.sh
index 4e03453fbe9..9274067acd0 100755
--- a/extras/hs-test/script/build_hst.sh
+++ b/extras/hs-test/script/build_hst.sh
@@ -44,7 +44,7 @@ if [ -d "${DOCKER_BUILD_DIR}" ] ; then
DOCKER_HST_BUILDER="hst_builder"
set -x
if ! docker buildx ls --format "{{.Name}}" | grep -q "${DOCKER_HST_BUILDER}"; then
- docker buildx create --name=${DOCKER_HST_BUILDER} --driver=docker-container --use --bootstrap || true
+ docker buildx create --use --driver-opt env.http_proxy="$HTTP_PROXY" --driver-opt env.https_proxy="$HTTP_PROXY" --driver-opt '"env.no_proxy='"$NO_PROXY"'"' --name=${DOCKER_HST_BUILDER} --driver=docker-container --use --bootstrap || true
fi
set -x
DOCKER_CACHE_ARGS="--builder=${DOCKER_HST_BUILDER} --load --cache-to type=local,dest=${DOCKER_CACHE_DIR},mode=max --cache-from type=local,src=${DOCKER_CACHE_DIR}"